- Main Page
- Modules
- Data Structures
- Files
- Related Pages

- Data Structures
- Data Fields

# xcb_input_device_valuator_event_t Struct Reference
[XCB Input API]

xcb_input_device_valuator_event_t More...

`#include <xinput.h>`

## Data Fields
uint8_t | response_type
uint8_t | device_id
uint16_t | sequence
uint16_t | device_state
uint8_t | num_valuators
uint8_t | first_valuator
int32_t | valuators [6]

## Detailed Description

xcb_input_device_valuator_event_t

## Field Documentation

uint8_t xcb_input_device_valuator_event_t::response_type

uint8_t xcb_input_device_valuator_event_t::device_id

uint16_t xcb_input_device_valuator_event_t::sequence

uint16_t xcb_input_device_valuator_event_t::device_state

uint8_t xcb_input_device_valuator_event_t::num_valuators

uint8_t xcb_input_device_valuator_event_t::first_valuator

int32_t xcb_input_device_valuator_event_t::valuators[6]

The documentation for this struct was generated from the following file:

- xinput.h